=== debian/changelog ===
ttyd (1.3.1-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 30 Mar 2017 12:10:50 +0800
