=== debian/control ===
Source: ttyd
Section: utils
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 9),
 cmake,
 pkg-config,
 libwebsockets-dev,
 libjson-c-dev,
 libssl-dev,
 xxd | vim-common,
Standards-Version: 3.9.8
Homepage: https://tsl0922.github.io/ttyd/
Vcs-Git: https://github.com/tsl0922/ttyd.git
Vcs-Browser: https://github.com/tsl0922/ttyd.git

Package: ttyd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Web terminal sharing tool
 Ttyd is a simple command-line tool for sharing terminal over the web, inspired
 by GoTTY.
 .
 Features include:
  * Built on top of Libwebsockets with C for speed
  * Fully-featured terminal based on Xterm.js with CJK and IME support
  * SSL support based on OpenSSL
  * Run any custom command with options
  * Basic authentication support and many other custom options
  * Cross platform: macOS, Linux, FreeBSD, OpenWrt/LEDE, Windows
