=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ttyd-$1.tar.gz%" \
 https://github.com/tsl0922/ttyd/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
